@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-execution-page-information-panel
            [executionPageComponentData]="componentData"
            [customFieldData]="customFieldData$ | async"
          >
          </sqtm-app-execution-page-information-panel>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'coverage'"
          [sqtmCoreAnchorCollapsePanel]="'coverage'"
          [nzHeader]="coverageTitle"
        >
          <ng-template #coverageTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.campaign-workspace.execution-runner.coverages'
                  | translate
              }}
            </div>
          </ng-template>
          <sqtm-app-execution-page-coverage-panel></sqtm-app-execution-page-coverage-panel>
        </nz-collapse-panel>
        @if (
          isJenkinsExecution(
            componentData.execution.testAutomationServerKind
          ) && componentData.execution.automatedExecutionResultSummary
        ) {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'result-summary'"
            [sqtmCoreAnchorCollapsePanel]="'result-summary'"
            [nzHeader]="automatedExecutionResultSummaryTitle"
          >
            <ng-template #automatedExecutionResultSummaryTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.entity.execution.automated.result-summary'
                    | translate
                }}
              </div>
            </ng-template>
            <sqtm-app-automated-execution-result-summary-panel></sqtm-app-automated-execution-result-summary-panel>
          </nz-collapse-panel>
        }

        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="
            getAnchorId(componentData.execution.executionMode)
          "
          [sqtmCoreAnchorCollapsePanel]="
            getAnchorId(componentData.execution.executionMode)
          "
          [nzHeader]="commentsTitle"
          sqtmCoreAnchorLastPanel
          [isEffectiveLastPanel]="
            !componentData.projectData.bugTracker &&
            !shouldDisplayFailureDetailPanel(componentData.execution)
          "
        >
          <ng-template #commentsTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                getCommentsPanelTitle(componentData.execution.executionMode)
                  | translate
              }}
              @if (componentData.execution.executionMode === 'EXPLORATORY') {
                <i
                  nz-icon
                  nzType="sqtm-core-generic:help"
                  nzTheme="outline"
                  class="current-workspace-button action-icon-size"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.campaign-workspace.exploratory-execution.review-help'
                      | translate
                  "
                >
                </i>
              }
            </div>
          </ng-template>
          <sqtm-app-execution-page-comments-panel
            [executionPageComponentData]="componentData"
          >
          </sqtm-app-execution-page-comments-panel>
        </nz-collapse-panel>

        @if (shouldDisplayFailureDetailPanel(componentData.execution)) {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'failure-details'"
            [sqtmCoreAnchorCollapsePanel]="'failure-details'"
            [nzHeader]="failureDetailsTitle"
            sqtmCoreAnchorLastPanel
            [isEffectiveLastPanel]="!componentData.projectData.bugTracker"
          >
            <ng-template #failureDetailsTitle>
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.entity.failure-detail.title' | translate }}
              </div>
            </ng-template>
            <sqtm-app-orchestrator-execution-failure-details
              class="exec-failure-detail"
              [extenderId]="componentData.execution.extenderId"
              [parentType]="'execution-page'"
              (refreshExecutionIssue)="
                issuesGridService.refreshData() &&
                  executionPageService.refreshIssueCount()
              "
            ></sqtm-app-orchestrator-execution-failure-details>
          </nz-collapse-panel>
        }

        @if (componentData.projectData.bugTracker) {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'issues'"
            [sqtmCoreAnchorCollapsePanel]="'issues'"
            [nzHeader]="issuesTitle"
            [nzExtra]="issuesGridButtons"
            sqtmCoreAnchorLastPanel
          >
            <ng-template #issuesTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.execution-page.issue.plural'
                    | translate
                }}
              </div>
            </ng-template>
            <sqtm-app-execution-page-issues-panel
              (authenticated)="notifyIsAuthenticatedInBugTracker()"
            >
            </sqtm-app-execution-page-issues-panel>
          </nz-collapse-panel>
        }
      </nz-collapse>
      <ng-template #issuesGridButtons>
        <div class="d-flex flex-row" (click)="$event.stopPropagation()">
          @if (canEditIssues(componentData)) {
            <div class="admin-view-panel-buttons">
              <sqtm-core-toggle-icon
                [attr.data-test-toolbar-button-id]="'add-issue'"
                [active]="canReportIssue$ | async"
              >
                <i
                  nz-icon
                  nz-dropdown
                  [nzDropdownMenu]="issuesMenu"
                  [nzDisabled]="!(canReportIssue$ | async)"
                  nzType="sqtm-core-generic:add"
                  nzTheme="outline"
                  class="action-icon-size"
                  [attr.data-test-toolbar-button-id]="'create-button'"
                >
                </i>
              </sqtm-core-toggle-icon>
              <sqtm-core-toggle-icon
                [attr.data-test-toolbar-button-id]="'remove-issues'"
                nz-tooltip
                nzTooltipPlacement="topRight"
                [nzTooltipTitle]="
                  'sqtm-core.generic.label.remove-association.plural'
                    | translate
                "
                [active]="
                  (issuesGridService.hasSelectedRows$ | async) &&
                  componentData.permissions.canExecute
                "
              >
                <i
                  nz-icon
                  nzType="sqtm-core-generic:unlink"
                  nzTheme="outline"
                  nz-tooltip
                  class="action-icon-size"
                  (click)="removeIssue()"
                ></i>
              </sqtm-core-toggle-icon>
            </div>
          }
          @if (componentData.permissions.canExport) {
            <sqtm-core-grid-export-menu
              [exportContent]="'sqtm-core.grid.export.issue' | translate"
              [workspaceName]="
                'sqtm-core.campaign-workspace.label.execution' | translate
              "
              [fileFormat]="'csv'"
            ></sqtm-core-grid-export-menu>
          }
        </div>
      </ng-template>
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}

<nz-dropdown-menu #issuesMenu="nzDropdownMenu">
  <ul nz-menu [attr.data-test-menu-id]="'issues-menu'">
    <li
      nz-menu-item
      [attr.data-test-menu-item-id]="'create-issue'"
      (click)="addIssue(false)"
    >
      {{
        'sqtm-core.campaign-workspace.dialog.title.report-new-issue' | translate
      }}
    </li>
    <li
      nz-menu-item
      [attr.data-test-menu-item-id]="'attach-issue'"
      (click)="addIssue(true)"
    >
      {{ 'sqtm-core.campaign-workspace.dialog.title.attach-issue' | translate }}
    </li>
  </ul>
</nz-dropdown-menu>
